classification
Title: test_future - rename not-unittest files to make regrtest.NOTTESTS an empty set
Type: Stage: resolved
Components: Tests Versions: Python 3.3
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: sandro.tosi Nosy List: python-dev, r.david.murray, sandro.tosi
Priority: low Keywords: patch

Created on 2011-02-01 19:08 by sandro.tosi, last changed 2011-03-24 18:58 by r.david.murray. This issue is now closed.

Files
File name Uploaded Description Edit
test_future.patch sandro.tosi, 2011-02-01 19:08
test_future_diffgit.patch sandro.tosi, 2011-03-22 19:15
Messages (3)
msg127706 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2011-02-01 19:08
Hi,
following up with issue10848, here's another preparatory step:

- renamed test_future[12].py to future_test[12].py, to clearly identify the as not unittest files (and so facilitate the autodiscovery introduction)
- adapted test_future.py for the filename change
- at last, make NOTTESTS and empty set.

I tested that both test_future only and the whole test suite are all ok.

Let me know if you need anything more or done different :) (f.e.: David, do you want the documentation bits in issue11031 added here instead?) 

Cheers,
Sandro
msg131769 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2011-03-22 19:15
Reattaching patch generated (against 3.2) with diff --git to preserve the rename operation.
msg132018 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-03-24 18:57
New changeset 6a649a15cd14 by R David Murray in branch 'default':
#11093: make NOTTESTS empty by renaming confusingly named files in test dir.
http://hg.python.org/cpython/rev/6a649a15cd14
History
Date User Action Args
2011-03-24 18:58:13r.david.murraysetstatus: open -> closed
resolution: accepted
stage: patch review -> resolved
2011-03-24 18:57:27python-devsetnosy: + python-dev
messages: + msg132018
2011-03-22 19:15:12sandro.tosisetfiles: + test_future_diffgit.patch
nosy: r.david.murray, sandro.tosi
messages: + msg131769
2011-02-01 19:08:20sandro.tosisetnosy: r.david.murray, sandro.tosi
title: test_future - rename not-unittest files to redure regrtest.NOTTESTS an empty set -> test_future - rename not-unittest files to make regrtest.NOTTESTS an empty set
2011-02-01 19:08:04sandro.tosicreate